#include <iostream>

#include <TFile.h>
#include <TTree.h>
#include <TMath.h>
#include <TChain.h>

#include "class.hpp"

using namespace std;

int main(int argc, char * argv[])
{
root_class * c1 = new root_class();

TFile * f1 = new TFile("root_class.root", "RECREATE");
TTree * t1 = new TTree("class1","");
t1->Branch("c1", &c1); 

for(int i = 0; i < 1000; i++)
	{
	c1->set_var1(sqrt(double(i)));
	c1->set_var2(i-3);
	t1->Fill();
	}

f1->Write();
f1->Close();

root_class * c2 = new root_class();
TChain * t2 = new TChain("class1");
t2->SetBranchAddress("c1",&c2);
t2->Add("root_class.root");

for(Long64_t i = 0; i < t2->GetEntriesFast(); i++)
	{
	t2->GetEntry(i);
	cout<<c2->get_var1()<<" "<<c2->get_var2()<<endl;
	}

return 0;
}
